> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Opportunity



## OpenAPI

````yaml /actionkit/openapi.json POST /projects/{project_id}/tools/#LEVER_CREATE_OPPORTUNITY
openapi: 3.0.0
info:
  title: ActionKit Tools API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/tools/#LEVER_CREATE_OPPORTUNITY:
    post:
      summary: Create Opportunity
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Your Paragon Project ID. You can copy your Project ID from your
              dashboard URL or by clicking Copy Project ID under the Environment
              switcher.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tool:
                  type: string
                  default: LEVER_CREATE_OPPORTUNITY
                parameters:
                  type: object
                  properties:
                    performAs:
                      type: string
                      description: >-
                        Perform As : Perform this create on behalf of a
                        specified user. The creator and the owner of this
                        Opportunity will default to the perform_as user. The
                        owner can be explicitly specified in the request body if
                        you want the owner to be a different person.
                    name:
                      type: string
                      description: Name
                    headline:
                      type: string
                      description: >-
                        Headline : Contact headline, typically a list of
                        previous companies where the contact has worked or
                        schools that the contact has attended This field can
                        also be populated by parsing a provided resume file.
                    stage:
                      type: string
                      description: >-
                        Stage : The stage ID of this Opportunity's current stage
                        If omitted, the Opportunity will be placed into the "New
                        Lead" stage.
                    location:
                      type: string
                      description: Location
                    phones:
                      type: string
                      description: |-
                        Phones (example: "[{
                          "value":"(123) 456-7891"
                        }]")
                    emails:
                      type: string
                      description: 'Emails (example: "["shane@exampleq3.com"]")'
                    origin:
                      type: string
                      description: 'Origin : The way this Opportunity was added to Lever.'
                      enum:
                        - agency
                        - applied
                        - internal
                        - referred
                        - sourced
                        - university
                    additionalFields:
                      type: object
                      description: |-
                        Additional Fields (example: "{
                          "archived": {
                            "reason": "63dd55b2-a99f-4e7b-985f-22c7bf80ab42"
                          },
                          "postings": ["f2f01e16-27f8-4711-a728-7d49499795a0"]                
                        }")
                      properties: {}
                  x-integration: lever
              required:
                - tool
                - parameters
      responses:
        '200':
          description: Success
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````